#!/usr/bin/python3
# python 3 assumed

import sys
import os
#import commands
import subprocess

basename = os.path.basename(sys.argv[0])
if len(sys.argv) < 2:
  print(" ")
  print("Usage: " + basename + " [browser] widget")
  print("\truns browser using HTML.")
  print(" ")
  sys.exit(1)

if len(sys.argv) == 2:
  BROWSER="ff"
  HTML=str(sys.argv[1])
else:
  BROWSER=sys.argv[1]
  HTML=sys.argv[2]

PRE=""
PWD=os.getcwd()

CWD=""
print(PRE + HTML)
CYPATH=""
#cypath=commands.getstatusoutput("cygpath --windows " + PWD)
cypath=subprocess.getstatusoutput("cygpath --windows " + PWD)
if cypath[0] == 0:
  CYPATH=cypath[1]
if BROWSER == "ff" or BROWSER == "firefox":
  if CYPATH != "":
    PRE="C:/Program\ Files*/Mozilla\ Firefox/firefox file://"
    CWD=CYPATH
  else:
    PRE="/usr/bin/firefox file://"
    CWD=PWD + "/"
elif BROWSER == "frameviewer":
  PRE="frameviewer "
  CWD=""
elif BROWSER == "jdb":
  PRE="jdb sun.frame.FrameViewer "
  CWD=""
elif BROWSER == "mozilla":
  PRE="/usr/sfw/bin/mozilla file://"
  CWD=PWD + "/"
elif BROWSER == "netscape":
  PRE="C:/Program\ Files*/Netscape/Netscape/Netscp file://"
  CWD=CYPATH
elif BROWSER == "ie":
  PRE="C:/Program\ Files/Internet\ Explorer/iexplore file://"
  CWD=CYPATH
elif BROWSER == "chrome":
  if CYPATH != "":
    PRE="C:/Program\ Files*/Google/Chrome/Application/chrome file://"
    CWD=CYPATH
  else:
    PRE="/usr/bin/firefox file://"
    CWD=PWD + "/"
elif BROWSER == "safari":
  PRE="C:/Program\ Files*/Safari/Safari file://"
  CWD=CYPATH
else:
  print("browser " + BROWSER + " unknown")

#print(PRE + CWD + HTML)
os.system(PRE + CWD + HTML)
